| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | Friends | List of all members
THistSvc::THistID Struct Reference

Helper struct that bundles the histogram ID with a mutex, TFile and TObject*. More...

Collaboration diagram for THistSvc::THistID:
[legend]

## Public Member Functions
| THistID ()=default
| THistID (const THistID &rhs)=default
| THistID (std::string &i, bool &t, TObject *o, TFile *f)
| THistID (std::string &i, bool &t, TObject *o, TFile *f, Mode m)
void | reset ()
bool | operator< (THistID const &rhs) const

## Public Attributes
std::string | id {""}
bool | temp {true}
TObject * | obj {nullptr}
TFile * | file {nullptr}
Mode | mode {INVALID}
histMut_t * | mutex {nullptr}
bool | shared {false}

## Friends
std::ostream & | operator<< (std::ostream &ost, const THistID &hid)

## Detailed Description

Helper struct that bundles the histogram ID with a mutex, TFile and TObject*.

Definition at line 200 of file THistSvc.h.

## Constructor & Destructor Documentation

## ◆ THistID() [1/4]

THistSvc::THistID::THistID | ( |  | ) |
| default

## ◆ THistID() [2/4]

THistSvc::THistID::THistID | ( | const THistID & | rhs | ) |
| default

## ◆ THistID() [3/4]

THistSvc::THistID::THistID | ( | std::string & | i,
|  | bool & | t,
|  | TObject * | o,
|  | TFile * | f
| ) |  |
| inline

Definition at line 211 of file THistSvc.h.

211 : id( i ), temp( t ), obj( o ), file( f ) {}
THistSvc::THistID::file
TFile * file
Definition: THistSvc.h:204
THistSvc::THistID::id
std::string id
Definition: THistSvc.h:201
THistSvc::THistID::obj
TObject * obj
Definition: THistSvc.h:203
THistSvc::THistID::temp
bool temp
Definition: THistSvc.h:202

## ◆ THistID() [4/4]

THistSvc::THistID::THistID | ( | std::string & | i,
|  | bool & | t,
|  | TObject * | o,
|  | TFile * | f,
|  | Mode | m
| ) |  |
| inline

Definition at line 212 of file THistSvc.h.

213 : id( i ), temp( t ), obj( o ), file( f ), mode( m ) {}
THistSvc::THistID::file
TFile * file
Definition: THistSvc.h:204
THistSvc::THistID::id
std::string id
Definition: THistSvc.h:201
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:92
THistSvc::THistID::obj
TObject * obj
Definition: THistSvc.h:203
THistSvc::THistID::temp
bool temp
Definition: THistSvc.h:202
THistSvc::THistID::mode
Mode mode
Definition: THistSvc.h:205

## Member Function Documentation

## ◆ operator<()

bool THistSvc::THistID::operator< | ( | THistID const & | rhs | ) | const
| inline

Definition at line 225 of file THistSvc.h.

225 { return ( obj < rhs.obj ); }
THistSvc::THistID::obj
TObject * obj
Definition: THistSvc.h:203

## ◆ reset()

void THistSvc::THistID::reset | ( |  | ) |
| inline

Definition at line 215 of file THistSvc.h.

215 {
216 id = "";
217 temp = true;
218 obj = nullptr;
219 file = nullptr;
220 mode = INVALID;
221 mutex = nullptr;
222 shared = false;
223 }
THistSvc::INVALID
Definition: THistSvc.h:181
THistSvc::THistID::file
TFile * file
Definition: THistSvc.h:204
THistSvc::THistID::mutex
histMut_t * mutex
Definition: THistSvc.h:206
THistSvc::THistID::shared
bool shared
Definition: THistSvc.h:207
THistSvc::THistID::obj
TObject * obj
Definition: THistSvc.h:203
THistSvc::THistID::temp
bool temp
Definition: THistSvc.h:202
THistSvc::THistID::mode
Mode mode
Definition: THistSvc.h:205

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | ost,
|  | const THistID & | hid
| ) |  |
| friend

Definition at line 227 of file THistSvc.h.

227 {
228 ost << "id: " << hid.id << " t: " << hid.temp << " s: " << hid.shared << " M: " << hid.mode << " m: " << hid.mutex
229 << " o: " << hid.obj << " " << hid.obj->IsA()->GetName();
230 return ost;
231 }

## Member Data Documentation

## ◆ file

TFile* THistSvc::THistID::file {nullptr}

Definition at line 204 of file THistSvc.h.

## ◆ id

std::string THistSvc::THistID::id {""}

Definition at line 201 of file THistSvc.h.

## ◆ mode

Mode THistSvc::THistID::mode {INVALID}

Definition at line 205 of file THistSvc.h.

## ◆ mutex

histMut_t* THistSvc::THistID::mutex {nullptr}

Definition at line 206 of file THistSvc.h.

## ◆ obj

TObject* THistSvc::THistID::obj {nullptr}

Definition at line 203 of file THistSvc.h.

## ◆ shared

bool THistSvc::THistID::shared {false}

Definition at line 207 of file THistSvc.h.

## ◆ temp

bool THistSvc::THistID::temp {true}

Definition at line 202 of file THistSvc.h.

The documentation for this struct was generated from the following file:

- GaudiSvc/src/THistSvc/THistSvc.h